<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app
    PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
    "http://java.sun.com/dtd/web-app_2_3.dtd">

<web-app>

	<!-- Servlets -->
	<servlet>
		<servlet-name>tdservlet</servlet-name>
		<servlet-class>org.gcube.portlets.user.td.server.TabularDataServiceImpl</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>

	<!-- TDWidget -->
	<servlet>
		<servlet-name>tdwxService</servlet-name>
		<servlet-class>org.gcube.portlets.user.tdwx.server.TabularDataXServiceImpl</servlet-class>
	</servlet>

	<servlet>
		<servlet-name>tdwxServlet</servlet-name>
		<servlet-class>org.gcube.portlets.user.tdwx.server.TabularDataXServlet</servlet-class>
	</servlet>

	<!-- TD GWTService -->
	<servlet>
		<servlet-name>TDGWTService</servlet-name>
		<servlet-class>org.gcube.portlets.user.td.gwtservice.server.TDGWTServiceImpl</servlet-class>
	</servlet>

	<!-- CSV IMPORT WIZARD -->
	<servlet>
		<servlet-name>CSVImportFileServlet</servlet-name>
		<servlet-class>org.gcube.portlets.user.td.gwtservice.server.CSVImportFileServlet</servlet-class>
	</servlet>

	<servlet>
		<servlet-name>LocalUploadServlet</servlet-name>
		<servlet-class>org.gcube.portlets.user.td.gwtservice.server.LocalUploadServlet</servlet-class>
	</servlet>


	<!-- Workspace Light Tree -->
	<servlet>
		<servlet-name>WorkspaceLightService</servlet-name>
		<servlet-class>org.gcube.portlets.widgets.lighttree.server.WorkspaceServiceImpl</servlet-class>
	</servlet>


	<!-- CSV Import Wizard Workspace -->
	<servlet>
		<servlet-name>CSVImportServiceWorkspace</servlet-name>
		<servlet-class>org.gcube.portlets.user.csvimportwizardgxt3.ws.server.ImportWizardWSServiceImpl</servlet-class>
	</servlet>

	<servlet>
		<servlet-name>downloadServlet</servlet-name>
		<servlet-class>org.gcube.portlets.user.workspace.server.DownloadServlet</servlet-class>
	</servlet>


	<servlet>
		<servlet-name>gWTWorkspaceServiceImpl</servlet-name>
		<servlet-class>org.gcube.portlets.user.workspace.server.GWTWorkspaceServiceImpl</servlet-class>
	</servlet>


	<servlet>
		<servlet-name>imageServlet</servlet-name>
		<servlet-class>org.gcube.portlets.user.workspace.server.ImageServlet</servlet-class>
	</servlet>


	<servlet>
		<servlet-name>uploadServlet</servlet-name>
		<servlet-class>org.gcube.portlets.user.workspace.server.UploadServlet</servlet-class>
	</servlet>

	<servlet>
		<servlet-name>jUnitHostImpl</servlet-name>
		<servlet-class>com.google.gwt.junit.server.JUnitHostImpl</servlet-class>
	</servlet>



	<!-- Servlets Mapping -->
	<servlet-mapping>
		<servlet-name>tdservlet</servlet-name>
		<url-pattern>/tabulardataportlet/tds</url-pattern>
	</servlet-mapping>

	<!-- TDWidget -->

	<servlet-mapping>
		<servlet-name>tdwxService</servlet-name>
		<url-pattern>/tabulardataportlet/tdwx</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>tdwxServlet</servlet-name>
		<url-pattern>/tabulardataportlet/tdwxdata</url-pattern>
	</servlet-mapping>

	<!-- TD GWTService -->
	<servlet-mapping>
		<servlet-name>TDGWTService</servlet-name>
		<url-pattern>/tabulardataportlet/TDGWTService</url-pattern>
	</servlet-mapping>


	<!-- CSV IMPORT WIZARD -->
	<servlet-mapping>
		<servlet-name>CSVImportFileServlet</servlet-name>
		<url-pattern>/tabulardataportlet/CSVImportFileServlet</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>LocalUploadServlet</servlet-name>
		<url-pattern>/tabulardataportlet/LocalUploadServlet</url-pattern>
	</servlet-mapping>


	<servlet-mapping>
		<servlet-name>imageServlet</servlet-name>
		<url-pattern>/tabulardataportlet/ImageService</url-pattern>
	</servlet-mapping>


	<!-- Workspace Light Tree -->
	<servlet-mapping>
		<servlet-name>WorkspaceLightService</servlet-name>
		<url-pattern>/tabulardataportlet/WorkspaceLightService</url-pattern>
	</servlet-mapping>

	<!-- CSV Import Wizard Workspace -->
	<servlet-mapping>
		<servlet-name>CSVImportServiceWorkspace</servlet-name>
		<url-pattern>/tabulardataportlet/CSVImportServiceWorkspace</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>downloadServlet</servlet-name>
		<url-pattern>/tabulardataportlet/DownloadService</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>gWTWorkspaceServiceImpl</servlet-name>
		<url-pattern>/tabulardataportlet/WorkspaceService</url-pattern>
	</servlet-mapping>


	<servlet-mapping>
		<servlet-name>uploadServlet</servlet-name>
		<url-pattern>/tabulardataportlet/UploadService</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>jUnitHostImpl</servlet-name>
		<url-pattern>/tabulardataportlet/junithost/*</url-pattern>
	</servlet-mapping>


	<!-- Default page to serve -->
	<welcome-file-list>
		<welcome-file>TabularDataPortlet.html</welcome-file>
	</welcome-file-list>
</web-app>
